# Package org.apache.coyote.http2

package org.apache.coyote.http2

Related Packages
Package
Description
org.apache.coyote
org.apache.coyote.ajp
org.apache.coyote.http11
Classes
Class
Description
Constants
HTTP/2 protocol constants.
HpackDecoder
A decoder for HPACK.
HPackHuffman
Utility class for Huffman encoding and decoding used in HPACK compression for HTTP/2 headers.
HPackHuffman.HuffmanCode
Represents a Huffman code with a value and bit length.
Http2AsyncUpgradeHandler
Asynchronous HTTP/2 upgrade handler that uses non-blocking I/O for all operations.
Http2OutputBuffer
HTTP/2 output buffer that wraps a chain of `OutputFilter` instances and delegates to a `Stream.StreamOutputBuffer`.
Http2Protocol
HTTP/2 protocol handler.